package cn.com.poc.common.constant;


public enum BizSnRedisKeyEnum {

    /**
     * 订单编号
     */
    channelConfigFlowNo("blo.marketing.channel.config","CCF"),

    /**
     * 订单编号
     */
    payLogSn("blo.marketing.pay.log.payLogSn","PL"),


    /**
     * 订单编号
     */
    paySn("blo.marketing.pay.paySn","PS"),

    /**
     * SKU
     */
    sku("blo.product.sku.serialNumber", "PS"),

    /**
     * 商品编号
     */
    product("blo.product.product.serialNumber", "P"),

    /**
     * 订单编号
     */
    orderSn("blo.order.order.serialNumber","OS"),

    /**
     * 订单编号
     */
    integralFlowNo("blo.user.integral.integralFlowNo","IF"),

    /**
     * 订单编号
     */
    discountFlowNo("blo.user.disount.discountFlowNo","DF"),

    /**
     * 订单编号
     */
    contentFlowNo("blo.content.contentFlowNo","CF"),

    /**
     * 出门单
     */
    contentOutFlowNo("blo.content.out","CC"),

    /**
     * 游戏
     */
    marketingGameFlowNo("blo.marketing.game","GF"),

    /**
     * 游戏奖励
     */
    marketingGameAwardFlowNo("blo.marketing.game.award","GAF"),

    /**
     * 订单编号
     */
    marketingGameRecordFlowNo("blo.marketing.game.record","GR"),

    /**
     * 场景值
     */
    scenceCode("blo.common.scence.code","SC"),
    ;

    /**
     * redis key 前缀
     */
    String redisKeyPrefix;

    /**
     * 生成标号前缀
     */
    String snPrefix;

    BizSnRedisKeyEnum(String redisKeyPrefix, String snPrefix) {

        this.redisKeyPrefix = redisKeyPrefix;
        this.snPrefix = snPrefix;
    }

    public String getRedisKeyPrefix() {
        return redisKeyPrefix;
    }

    public String getSnPrefix() {
        return snPrefix;
    }
}
